<?php

	#**********************************************
	# Amazon Web Services // Original Credit = php9.com Calin Uioreanu
	#**********************************************
	
	#**********************************************
	# Change history
	# ==============
	# 11/10/2007 - WebDevBoost.co.uk
	#
	#**********************************************
	# Description
	# ===========
	# We have made the search results much heavier, using the 'heavy' function
	# 
	# If you wish to increase speed times then modify the script type to lite from heavy, please note that this will
	# not return as much detailed data.
	#
	#**************************************************************************************************
	# Template layout available variables - available with 'lite'
	# ===================================
	#
	#		$MODE,
	#		$ASIN, 
	#		$PRODUCTNAME, 
	#		$CATALOG,
	#		$AUTHORS,
	#	$ARTISTS,
	#	$STARRING,
	#	$DIRECTORS,
	#		$THEATRICALRELEASEDATE,
	#		$RELEASEDATE,
	#		$MANUFACTURER,
	#		$IMAGEURLSMALL,
	#		$IMAGEURLMEDIUM,
	#		$IMAGEURLLARGE,
	#		$LISTPRICE,
	#		$OURPRICE,
	#		$USEDPRICE,
	#		$REFURBISHEDPRICE,
	#		$THIRDPARTYNEWPRICE,
	#		$SALESRANK,
	#	$LISTS,
	#	$TRACKS,
	#	$BROWSELIST,
	#		$MEDIA,
	#		$NUMMEDIA,
	#		$ISBN,
	#	$FEATURES,
	#		$MPAARATING,
	#		$PLATFORM,
	#		$AVAILABILITY,
	#		$UPC,
	#	$ACCESSORIES,
	#		$PRODUCTDESCRIPTION,
	#	$REVIEWS,
	#	$THIRDPARTYPRODUCTINFO,
	#	$AVGCUSTOMERRATING,
	#	$CUSTOMERREVIEW,
	#	$THIRDPARTYPRODUCTDETAILS,
	#	$SIMILARPRODUCTS,
	#		$TOTALRESULTS
	#
	#**************************************************************************************************

	#/ Number of Amazon search teaser results to display
	if ($this->iNumResults >= AWS_NUMBER_OF_RESULTS) 
	{
		return; // silent
	}
	
	$sProductUrl = $sBookUrl;
	$sProductUrl = $sProductUrl .'/'. ASSOCIATE_ID;
	
	global $arTeaser;
	
	$sTdColor = $arTeaser[(int) $this->iNumResults];
	
	#/ Image configuration // If returned an empty Image (1x1), do not display the HTML code
	
	$arSize = getimagesize ($IMAGEURLSMALL);
	if((int) $arSize[1] == 1 ) 
	{
		$sImageUrl = '';	
	} 
	else 
	{
		$sImageUrl = '<a href="'.$IMAGEURLLARGE.'" target="_blank"><img src="'. $IMAGEURLSMALL .'" alt="'. $PRODUCTNAME .'" border="0" /></a>';
	}
		
	#/ If Author exists, then it is called
	if ($AUTHORS) 
	{
		$sAuthors = ' by ' . $AUTHORS;
	}
	
	
	##/ Display area for individual results as follows

   echo '<table border="0" cellpadding="2" cellspacing="0" width="'.AWS_TABLE_WIDTH.'">',
		'<tr><td bgcolor="'.$sTdColor.'" width="85%">',
		'<a href="http://www.amazon.co.uk/exec/obidos/ASIN/'.$ASIN.'/' . ASSOCIATE_ID.'" target="_blank"><b>'. $PRODUCTNAME .'</b></a>',
		'<font size="-2">', $sAuthors . '<br />List Price: <b>'. $LISTPRICE .'</b>',
		'&nbsp; &nbsp; Amazon Price: <b>'. $OURPRICE .'</b>', $sDiscount,
		'&nbsp; &nbsp; Used Price: <b>'. $USEDPRICE .'</b>',
		'&nbsp; &nbsp; Publisher: ', 	$MANUFACTURER, ' ('. $RELEASEDATE .')',
		'</td><td bgcolor="'.$sTdColor.'" width="15%">',
		$sImageUrl,
		'</td></tr>',
		'</table>'
	;
	

?>